# Generated by Django 4.1.7 on 2023-03-23 10:14

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('apiapp', '0003_apipermissions'),
    ]

    operations = [
        migrations.CreateModel(
            name='ApiAccessHistory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('history_isauthorized', models.IntegerField(default=0)),
                ('history_accessdate', models.DateTimeField(auto_now_add=True)),
                ('history_api', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='apiapp.apis')),
                ('history_user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
